Subject: Re: [PATCH 0/2] 'git svn info' fixes

From: Thomas Rast <[email-masked]>
Date: Mon, 1 Sep 2008 11:46:42 +0200

Eric Wong wrote:
> Yes.  Please maintain compatibility with svn 1.5.  The current version
> of git-svn should strive to maintain compatibility with the current
> version of svn whenever possible.

Ok, that certainly clarifies the goal.

> > Unfortunately this does raise the question whether the URL-encoding
> > issue treated in the other series is in fact a similar incompatibility
> > between 1.4 and 1.5, not a (minor but long-standing) bug in git-svn.
> 
> It should match svn 1.5 for "git svn info".
[...]
> 	svn log -v `git svn info --url`
> [should] just work.
> 
> I seem to recall the rules being slightly different for http(s):// and
> (file://|svn://) URLs with the command-line client; but my memory may
> just be fuzzy...

I've finally found a system with SVN 1.4 that I have access to, and
ran a few tests.  I don't have svn:// servers with weird directory
names at hand, but I could verify that even SVN 1.4 quotes output and
requires the input to be properly quoted:

  $ svn info
  Path: .
  URL: file:///home/thomas/test%20directory%3F
  Repository Root: file:///home/thomas/test%20directory%3F
  [...]

  $ svn info file:///home/thomas/test%20directory%3F
  Path: test directory?
  URL: file:///home/thomas/test%20directory%3F
  Repository Root: file:///home/thomas/test%20directory%3F
  [...]

  $ svn info file:///home/thomas/'test directory?'
  svn: URL 'file:///home/thomas/test directory?' is not properly URI-encoded

Variations with https:// and SVN 1.5 give the same results.  So unless
I'm missing something, the two patch series are needed to get the
correct output.

- Thomas

-- 
Thomas Rast
[email-masked]